Bug 61094 - share mounted by smbmount fails after short period
share mounted by smbmount fails after short period
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-13 10:30 EST by Matthew
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-13 10:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew 2002-03-13 10:30:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
After updating a series of RPM packages (see below) on my RH7.2 i686 system, a
previously functioning smbmounted share from a Win98 started to fail. The share
functions only briefly (maximum of a few minutes) after a directory listing or
transfer requests, and then hangs. Logs show a stream of error messages.
Smbclient connects to same machine function fine. However, after smbmount fails,
the win98 box needs a reboot to allow smbclient connects.

Version-Release number of selected component (if applicable):
Installed Samba packages:
samba-client-2.2.1a-4
samba-2.2.1a-4
samba-common-2.2.1a-4

How reproducible:
Always

Steps to Reproduce:
1. Update RH7.2 system with latest errata and bug fixes (those released in the
last week or so - first half of March 2002) 
2. Map a share to a directory on the RH system, using smbmount (directly, via
fstab or via automount - all return equivalent errors)
3. Start browsing and transfering data across the share.
	

Actual Results:  The share will cease to function or be accessible after 30 secs
- 4 mins, spewing error messages in logs.

Expected Results:  um, the directory should stay accessible and allow file
transfers, etc.
Until the recent rpm upgrades, the smbmount share had worked fine for months
under automount.

Additional info:

RPM packages upgraded in past couple of days:
'binutils-2.11.90.0.8-12', 'e2fsprogs-1.26-1.72', 'rsync-2.4.6-13',
'vnc-3.3.3r2-18.3', 'vnc-doc-3.3.3r2-18.3', 'vnc-server-3.3.3r2-18.3',
'zlib-1.1.3-25.7', 'openssh-3.1p1-2', 'openssh-askpass-3.1p1-2',
'openssh-askpass-gnome-3.1p1-2', 'openssh-clients-3.1p1-2',
'openssh-server-3.1p1-2', kernel-2.4.9-31, kernel-headers-2.4.9-31

Typical kernel messages:
Mar 13 17:30:35 rhb kernel: smb_get_length: recv error = 512
Mar 13 17:30:35 rhb kernel: smb_request: result -512, setting invalid
Mar 13 17:30:35 rhb kernel: smb_retry: successful, new pid=1358, generation=180
Mar 13 17:30:35 rhb kernel: smb_get_length: recv error = 512
Mar 13 17:30:35 rhb kernel: smb_request: result -512, setting invalid
Mar 13 17:30:35 rhb kernel: smb_retry: successful, new pid=1358, generation=181

Typical smbmount.log messages:
[2002/03/13 17:27:29, 0] client/smbmount.c:send_fs_socket(381)
  mount.smbfs: entering daemon mode for service \\WIN98\TRANSFER, pid=1358
[2002/03/13 17:31:01, 0] client/smbmount.c:do_connection(181)
  1358: protocol negotiation failed
[2002/03/13 17:31:31, 0] client/smbmount.c:do_connection(181)
  1358: protocol negotiation failed 

This behaviour is duplicated exactly on two RH7.2 systems with the latest RPM
installs noted above. Both are i686s.
Comment 1 Trond Eivind Glomsrxd 2002-04-10 19:29:05 EDT
Tested with samba-2.2.3a-5/WinXP. Copying isos back and forth with no problem.
Comment 2 Matthew 2002-04-14 22:56:11 EDT
Also tested samba-2.2.3a-5 with original systems. The upgrade fixed the bug.
Thanks.
Matthew

Note You need to log in before you can comment on or make changes to this bug.